Subject: Re: linux-next: manual merge of the wireless-drivers-next tree with the wireless-drivers tree

From: Kalle Valo <[email-masked]>
Date: Thu, 18 Apr 2019 16:49:24 +0300

Stephen Rothwell <[email-masked]> writes:

> Today's linux-next merge of the wireless-drivers-next tree got a
> conflict in:
>
>   drivers/net/wireless/intel/iwlwifi/pcie/drv.c
>
> between commits:
>
>   0d5bad14226a ("iwlwifi: rename structs to fit the new names")
>   972d8e137779 ("iwlwifi: add new 0x2723/0x2080 card for 22000")
>
> from the wireless-drivers tree and commit:
>
>   ef8a913766cd ("iwlwifi: remove misconfigured pci ids from 22260 series")
>
> from the wireless-drivers-next tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks, I'll let Dave know about this when he pulls w-d-next.

-- 
Kalle Valo